## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeElementNANSAllocator Class Reference

`#include <XalanSourceTreeElementNANSAllocator.hpp>`

Collaboration diagram for XalanSourceTreeElementNANSAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanSourceTreeElementNANS ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeElementNANSAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeElementNANSAllocator ()
- ObjectType* create (const XalanDOMString &theTagName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, XalanSourceTreeDocument *theOwnerDocument, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XalanSourceTreeElementNANSAllocator::ArenaAllocatorType<ObjectType>

typedef ObjectType::IndexType XalanSourceTreeElementNANSAllocator::IndexType

typedef XalanSourceTreeElementNANS XalanSourceTreeElementNANSAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeElementNANSAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeElementNANSAllocator::XalanSourceTreeElementNANSAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeElementNANSAllocator::~XalanSourceTreeElementNANSAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeElementNANSAllocator::create ( | const XalanDOMString & theTagName,
| const XalanDOMString & theLocalName,
| const XalanDOMString & theNamespaceURI,
| const XalanDOMString & thePrefix,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theTagName | The tag name of the element
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theOwnerDocument | The document that owns the instance
  theAttributes | An array of pointers to the attribute instances for the element
  theAttributeCount | The number of attributes.
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeElementNANSAllocator::getBlockCount ( | ) const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeElementNANSAllocator::getBlockSize ( | ) const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeElementNANSAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeElementNANSAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.